<template lang="pug">
  div
    v-form(ref='form')
      v-text-field(v-model='title', label='Задача')
      v-textarea(v-model='description', label='Описание')
      v-btn(@click='submit()', to='/') Сохранить
      v-btn(to='/') Назад

</template>
<script>
  import { mapActions } from 'vuex';

  export default {
    props: ['id'],
    data() { 
        const { title, description, date } = this.$store.getters.maped[this.id];
        return { title, description, date};
    },
    methods: {
      ...mapActions([
        'editTodo',
      ]),
      submit() {
        const { title, description, date } = this;
        this.editTodo({ id:this.id, title, description, date });
      },
    },
  }
</script>
